New Zealand Utility
4 min
Verifies input data against Utility and Credit Header data obtained from the partnered sources from New Zealand.
For Authorization Get Session Token from Authentication page.
New Zealand Utility
* Verification Outcome – Returns KYC verification (can return single or duel source verification)
* Consumer Consent – YES
* Mandatory Input – Name and Address
* Verifies – Name, Address and DOB
* Returned Data - N/A
POST
https://idu-test.datazoo.com/api/v2/verify
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6ImMtbVZlMl9KRFhMcnkzaEhQWEN4TyJ9.eyJ1aWQiOiIzMDMiLCJvaWQiOiI2MiIsImlzcyI6Imh0dHBzOi8vZGF0YXpvby10ZXN0LnVzLmF1dGgwLmNvbS8iLCJzdWIiOiJhdXRoMHwzMDMiLCJhdWQiOiJodHRwczovL2t5Yy10ZXN0LmRhdGF6b28uY29tIiwiaWF0IjoxNzUwMzg1OTkyLCJleHAiOjE3NTA0MjE5OTIsImd0eSI6InBhc3N3b3JkIiwiYXpwIjoiSWxVdURJNTF1QXpuVnE2VGVoRXAyOXBrbEhBSjFtYnkifQ.c9ici7YFUYVE_-Qk750aGgWU3y5f4s8v790fZGbf9p12yULBYKKiTvGLGVg9XXgX-JX-i9RSc8Dg-YLtPC8fDQznYbGZ33vhv28_uxctWlZwoxtX9DIpdu-bOXTfVAimGj3abgUm6Tm3FgLMU26p3z007II3WPf0ZRn9rpPjgjnD3pt0xPgSCB97D22zjzPjbW93dEOaA7ASvcn2wdxOTvRDNyBDGdwsCYr2t2XI7E-UYbk5US5gWERT-HZcwJ3pRv3rxGiHdQX7xmVhkOf2Nk7ihbiOJ_e3B6K5ylVgW_FlZIhxLaOUiMi6qtp4eAtOkaLLTgSt9xZ4B3OP0uq9Ig' \
--data '{
"countryCode": "NZ",
"service": [
"New Zealand Credit Bureau",
"New Zealand Utility"
],
"clientReference": "Test_0001",
"firstName": "Montgomery",
"middleName": "George",
"lastName": "Mercury",
"dateOfBirth": "1980-01-01",
"addressElement1": "8 Dillon Bell Road",
"addressElement3": "Whataupoko",
"addressElement4": "Gisborne",
"addressElement5": "4010",
"consentObtained": {
"New Zealand Credit Bureau": true
}
}'
Mandatory input for Address
For address input addressElement1 is Required along with
Either addressElement3or addressElement4 or addressElement5 must be provided as input.
Links
Change History
Added
Last updated - 19 March, 2025